<cfscript>
	cfparam(name="URL.filename", default="test");
	cfparam(name="URL.fontSize", default="14px");
	cfparam(name="URL.previewOnly", default="1");
</cfscript>

<cfdocument
	format='PDF'
	backgroundvisible='true'
	marginbottom='0.75'
	marginleft='0.5'
	marginright='0.5'
	margintop='0.3'
	pagetype='letter'
	saveasname='#URL.filename#.pdf'
>
	<cfdocumentitem type="footer" evalAtPrint="true">
		<hr />
		<cfoutput>
			<table style="width: 100%;" cellpadding="0" cellspacing="0">
				<tr>
					<td style="text-align: left; font-size: #fontSize#; font-family:  Arial, sans-serif; width: 2in;">T: +359 (123) 456 789 <br />F: +359 (123) 456 789</td>
					<td style="text-align: center; font-size: #fontSize#; font-family:  Arial, sans-serif;">Printed Invoice<br />
						Page #cfdocument.currentPageNumber# of #cfdocument.totalPageCount#</td>
					<td style="text-align: right; font-size: #fontSize#; font-family:  Arial, sans-serif; width: 2in;">
						<a href="http://criticalpowerusa.com" style="color: ##d2081e; text-decoration: none;">
							www.44bit.com</a><br />
						<a href="mailto:info@criticalpowerusa.com" style="color: ##d2081e; text-decoration: none;">
							it@44bit.com</a>
					</td>
				</tr>
			</table>
		</cfoutput>
	</cfdocumentitem>
	<!DOCTYPE html>
	<html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<style>
				* {
					font-family: Arial;
					font-size: 13px;
				}
				h1 {
					margin:0;
					padding:0;
					font-size: 30px;
					font-weight: normal;
				}

				table {
					width: 700px;
					table-layout: fixed;
					margin-top:10px;
				}

				table.nopadding td {
					padding: 0px;
				}

				table.totals {
					margin-top: 0px;
					width: 100%;
				}

				table.totals td {
					padding:4px;
				}
				table th {
					background-color: #e5e5e5;
					color: #333;
					padding:4px;
					text-transform: uppercase;
				}
				table td{
					vertical-align: center;
					padding:4px;
				}

				table th div {
					font-weight: normal;
				}

				.bottom {
					vertical-align: bottom;
				}
				.top {
					vertical-align: top;
				}

				/* Logo */
				.logo{
					height:35px;
					margin-bottom:10px;
				}

				.right {
					text-align:right;
				}
				.left {
					text-align:left;
				}
				.center {
					text-align:center;
				}

				/*Table with borders*/
				table.bordered td,
				table.bordered th{
					border-bottom:1px solid #333;
					border-right:1px solid #333;
				}
				table.bordered tr:first-child td,
				table.bordered tr:first-child th,
				{
					border-top:1px solid #333;
				}
				table.bordered td:first-child,
				table.bordered th:first-child{
					border-left:1px solid #333;
				}

				.hr {
					border-top: 1px solid #aaa;
					margin-bottom: -10px;
				}

				.previewOnly {
					position: absolute;
					top: 0;
					left: 0;
					width: 700px;
					height: 900px;
					background-image: url('/images/previewOnly.png');
					background-position: middle center;
					background-repeat: no-repeat;
				}
			</style>
		</head>
		<body style="margin: 0; padding: 0">
			<cfoutput>
				<!--- VENDOR INFO --->
				<table class="nopadding" cellpadding="0" cellspacing="0">
					<tr>
						<td class="vendorInfo">
							<div>
								<img src="http://fm.44km.local/img/44bit.png" alt="Logo" class="logo">
							</div>
							<div>
								Address 1<br />
								Address 2<br />
								City ZIP Country<br />
							</div>
						</td>
						<td width="25%" class="bottom right">
							<div>INVOICE</div>
							<h1>INV-00000-2015</h1>
							<div>Date: #dateFormat(Now(), APPLICATION.dateFormat)#</div>
						</td>
					</tr>
				</table>

				<!--- INVOICE ADDRESSES --->
				<table class="nopadding" cellpadding="0" cellspacing="0">
					<tr>
						<td>
							Bill To:<br />
							<b>Customer</b> <br />
							Address 1<br />
							City ZIP Country<br />
						</td>
						<td>
							Service Address:<br />
							<b>Customer</b> <br />
							Address 2<br />
							City ZIP Country<br />
						</td>
						<th width="25%" class="bottom right">
							<div>TOTAL</div>
							<h1>#NumberFormat(0, '$,.00')#</h1>
							<div>Due Date: #DateFormat(Now(), APPLICATION.dateFormat)#</div>
						</th>
					</tr>
				</table>


				<!--- INVOICE ITEMS --->
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th width='25%' class="left">Item</th>
							<th class="left">Description</th>
							<th width='10%' class="center">Quantity</th>
							<th width='10%' class="center">Rate</th>
							<th width='15%' class="right">Amount</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td class="left">Item 1</td>
							<td class="left">Item Description</td>
							<td class="center">100000</td>
							<td class='right'>#numberFormat(3, '$,.00')#</td>
							<td class='right'>#numberFormat(300000, '$,.00')#</td>
						</tr>
					</tbody>
				</table>

				<!--- INVOICE TOTALS --->
				<div class="hr"></div>
				<table class="nopadding" cellpadding="0" cellspacing="0">
					<tr>
						<td  align="justify">
							<br>
							<strong>MEMO: </strong>Invoice details
						</td>
						<td width="26%" class="top">
							<table class="totals" cellpadding="0" cellspacing="0">
								<tr>
									<td class="right">Subtotal:</td>
									<td width="90px" class="right">#numberFormat(300000, '$,.00')#</td>
								</tr>
								<tr>
									<th class="right">Total:</th>
									<th class="right">#numberFormat(300000, '$,.00')#</th>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<br>
				<br>
				<br>

			</cfoutput>
			<!--- PREVIEW --->
			<cfif URL.previewOnly >
				<div class="previewOnly"></div>
			</cfif>
		</body>
	</html>
</cfdocument>